TmetaDetection Namespace Reference

## Classes

struct | A
struct | Bar
struct | Foo
struct | mFun

## Typedefs

template<typename T >
using | try_type = typename T::type
template<typename T >
using | try_none = typename T::none
template<typename T >
using | try_ctor1 = decltype(T(std::declval< int >(), std::declval< double >()))
template<typename T >
using | try_ctor2 = decltype(T(std::declval< int >()))
template<typename T >
using | try_ppT = decltype(++(std::declval< T >()))
template<typename T >
using | try_Tpp = decltype(std::declval< T >()++)
template<typename T >
using | try_sfun = decltype(std::declval< T >().sfun())

## Functions

| TEST (TmetaDetection, VoidType)
| TEST (TmetaDetection, NotAType)
| TEST (TmetaDetection, IsDetected)
| TEST (TmetaDetection, Toolkit)

## Typedef Documentation

## try_ctor1

template<typename T >

using TmetaDetection::try_ctor1 = typedef decltype (T(std::declval<int>(), std::declval<double>()))

Definition at line 55 of file TmetaDetection.cpp.

## try_ctor2

template<typename T >

using TmetaDetection::try_ctor2 = typedef decltype (T(std::declval<int>()))

Definition at line 56 of file TmetaDetection.cpp.

## try_none

template<typename T >

using TmetaDetection::try_none = typedef typename T::none

Definition at line 54 of file TmetaDetection.cpp.

## try_ppT

template<typename T >

using TmetaDetection::try_ppT = typedef decltype (++(std::declval<T>()))

Definition at line 57 of file TmetaDetection.cpp.

## try_sfun

template<typename T >

using TmetaDetection::try_sfun = typedef decltype (std::declval<T>().sfun())

Definition at line 59 of file TmetaDetection.cpp.

## try_Tpp

template<typename T >

using TmetaDetection::try_Tpp = typedef decltype (std::declval<T>()++)

Definition at line 58 of file TmetaDetection.cpp.

## try_type

template<typename T >

using TmetaDetection::try_type = typedef typename T::type

Definition at line 53 of file TmetaDetection.cpp.

## Function Documentation

## TEST() [1/4]

TmetaDetection::TEST | ( | TmetaDetection | ,
|  | VoidType |
| ) |  |

Definition at line 64 of file TmetaDetection.cpp.

## TEST() [2/4]

TmetaDetection::TEST | ( | TmetaDetection | ,
|  | NotAType |
| ) |  |

Definition at line 72 of file TmetaDetection.cpp.

## TEST() [3/4]

TmetaDetection::TEST | ( | TmetaDetection | ,
|  | IsDetected |
| ) |  |

Definition at line 82 of file TmetaDetection.cpp.

## TEST() [4/4]

TmetaDetection::TEST | ( | TmetaDetection | ,
|  | Toolkit |
| ) |  |

Definition at line 106 of file TmetaDetection.cpp.